# zig neither sets build-id nor allows to override the linker flags
# ziglang/zig#3047
%undefine  _missing_build_ids_terminate_build
 
	
# rhbz#2142334: zig_arches is not defined in the srpm buildroot
%if 0%{!?zig_arches:1}
%global zig_arches x86_64 aarch64 riscv64 %{mips64}
%endif
	
	
Name:           tigerbeetle
Version:        0.13.36
Release:        1%{?dist}
Summary:        Distributed financial accounting database

License:        Apache-2.0
URL:            https://github.com/tigerbeetledb/tigerbeetle
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

ExclusiveArch:  %{zig_arches}

BuildRequires: zig
BuildRequires: zig-rpm-macros
# C client
BuildRequires: gcc

%description
TigerBeetle is a financial accounting database designed for mission
critical safety and performance to power the future of financial services.

%prep
%autosetup

%build
%zig_build
# Do not build clients or client_docs for now

%install
%zig_install

%check
# Test 102 fails with segmentation fault, use debug build
# https://github.com/tigerbeetledb/tigerbeetle/issues/906
zig build --verbose -Dtarget=native -Dcpu=baseline --cache-dir zig-cache test

%files
%license LICENSE
%doc README.md
%{_bindir}/aof
%exclude %{_bindir}/benchmark
%{_bindir}/tigerbeetle
%exclude /tigerbeetle

%changelog
* Fri Jun 23 2023 Benson Muite <benson_muite@emailplus.org> - 0.13.36-1
- Initial packaging




